/// <reference types="react" />
/**
 *
 * React hook which returns a function to update the global state
 * corresponding to the key provided
 * @param key Key which represents the state
 */
declare function useSetRhinoState<T>(key: string): React.Dispatch<React.SetStateAction<T>>;
export default useSetRhinoState;
