import * as React from 'react';
import { IProvider, ProviderProps } from '../types';
interface CombineProvidersProps extends ProviderProps {
    providers: Array<IProvider>;
}
/**
 *
 * Component which take a list of providers and returns
 * a Provider which contain all those providers nested in it
 */
declare const CombineProviders: React.FC<CombineProvidersProps>;
export default CombineProviders;
